# Hurricane VLSI Database

List of all members
Hurricane::Component::BodyHook Class Reference
Inheritance diagram for Hurricane::Component::BodyHook:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Hurricane::Hook
Hook * | getNextHook () const
Hook * | getPreviousHook () const
Hook * | getMasterHook () const
Hook * | getNextMasterHook () const
Hook * | getPreviousMasterHook () const
Hooks | getHooks () const
Hooks | getSlaveHooks () const
bool | isAttached () const
Hook * | detach ()
Hook * | attach (Hook *hook)
Hook * | merge (Hook *hook)

## Detailed Description

With the components, appears a new Hook type : The BodyHook, which represents the body of the component inside which it is nested (it is always a "master" hook).

The documentation for this class was generated from the following file:

- Component.h

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved